Bug 20540 - pressing left and right mouse buttons simultaneously hang entire gnome session
pressing left and right mouse buttons simultaneously hang entire gnome session
Product: Red Hat Linux
Classification: Retired
Component: gmc (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-11-08 16:46 EST by Need Real Name
Modified: 2013-04-02 00:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-16 15:45:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-08 16:46:00 EST
While using gnome and Enlightenment and I hold down the left and right
mouse button at the same time while the mouse cursor is over the root
X-Window/desktop with a three button mouse, it totally hangs my entire
gnome session.  The mouse cursor still moves, but the mouse buttons and
keyboard keys do not function at all.  The kernel is still up as I can
CTRL-ALT-F1 to a console screen and kill the entire gnome session, but I
lose all of my gnome-terminals, development windows, etc. every time it
happens!  I have verified this problem on both RedHat v6.2 and v6.1 on
different peoples machines [  who I'm very popular with right now  ;-(  ]. 
Can you please fix this as soon as possible as Unix shouldn't require
'virtually rebooting' even though I know that with Microsoft operating
systems this type of behavior is expected.
Comment 1 Havoc Pennington 2000-11-09 11:44:40 EST
Possibly a stuck grab from gmc or from Enlightenment; probably killing one of
those will be sufficient, rather than killing your whole session. If you can try
that and tell us whether killing those solves the problem (and which one) it
would be helpful.
Comment 2 Need Real Name 2000-11-10 21:01:26 EST
Sorry for the delay, I'm buried at work and I couldn't use my machine as a
guinnea pig for RedHat bug testing.  You should be able to verify and test this
bug on your own RedHat v6.1 or RedHat v6.2 machine.  I tried 'kill pid' and
'kill -HUP pid' on the enlightenment process and it didn't fix the problem at
all.  Next I did a 'kill pid' on the gmc process and it did sort of fix the
problem in
that I could type again into one of my gnome-terminals but there were no title
bars or border on any of my gnome-terminals so I still needed to wack my entire
gnome session so that I could start working again.  Any ideas?  The really
strange thing is that the problem appears to be exactly when you release the
mouse buttons after selecting any of the following menu items:

    URL Link
Arrange Icons
Create New Window
Rescan Desktop Directory
Rescan Devices
Recreate Default Icons
Configure Background Image

By the way, is there any way to 'Restart' the window manager?  I know on my
linux Slackware machine at home that is one of the menu options.  One other
unrelated question, is there any way to grab a part of the X-windows
graphical display say if you were trying to create some documentation to tell
a user how to use your application?


Comment 3 Havoc Pennington 2000-11-10 21:27:44 EST
OK, thanks for the info, apparently this is a gmc bug caused by a stuck grab
from gmc. It's pretty likely to be fixed in newer versions of Red Hat Linux,
let's see if Jonathan knows.

I think there's a way to restart Enlightenment but I don't know it offhand. Lots
of apps do screenshots, e.g. ee or gimp.
Comment 4 Need Real Name 2000-11-16 15:45:39 EST
Thanks for the information, but I was kind of hoping to avoid totally
re-installing the entire RedHat distribution on my machine as I have 
quite a few hundred things setup and working on my development system 
right now and the problem appears to be pretty specific.  When you say 
the problem is a 'stuck grab', does that also apply to the pop-up menu
you get that I described above when you press the left and right mouse
buttons when the cursor is over the root X-window/desktop?  I'm not sure 
what you mean by a 'stuck grab'.  I was really surprised that the bug occurs
on that pop-up menu as I would think that most GUI menus get heavily used
and should be thoroughly tested.  Please let me know what 'Jonathan knows' as
you mentioned above.


Comment 5 Jonathan Blandford 2001-07-13 17:17:10 EDT
gmc is being deprecated in favor of nautilus

Note You need to log in before you can comment on or make changes to this bug.